version: '3.8'

services:
  deveco-seed:
    build: .
    environment:
      - POSTGRES_HOST=deveco_pg
      - POSTGRES_DB=${POSTGRES_DB:-deveco}
      - POSTGRES_USERNAME=${POSTGRES_USERNAME:-deveco}
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD:-deveco}
      - POSTGRES_PORT=${POSTGRES_PORT:-5432}
    volumes:
      - deveco-seed:/deveco
    networks:
      - deveco-network

volumes:
  deveco-seed:

networks:
  deveco-network:
    external: true
